Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005443 [JEDI VCL] 00 JVCL Components major always 2010-12-15 16:49 2011-09-21 14:10
Reporter dzomlija View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005443: TJvOfficeColorPanel does not properly update itself when SelectedColor property is set at runtime
Description If i've dropped a TJvOfficeColorPanel component onto a form, and set the "SelectedColor" property to clRed (for example), and then at runtime prior to calling form ShowModal, "SelectedColor" is changed to clGreen (for example), then the buttons for "clRed", "clGreen" and "clDefault". However, if a user subsequently clicks on another color, then the buttons continue to update normall, even if SelectedColor is changed by code, and even of the form is closed an re-displayed later.

The attached file is a screenshot of the TJvOfficeColorPanel showing how 3 colors are selected at the same time.

The code between lines 1246 and 1409 of "JvOfficeColorPanel.pas" can be modified to resolve this bug. More specifically by changing line 1298 from "Down := True;" to "Down := False;", this issue does not occur, and the visual display of selected colors occurs normally when changed at runtime by code.
Additional Information I've just had a look at how TJvOfficeColorPanel performs regarding this issue in version 3.40 of the JVCL, and the problem remains the same. Changing line 1298 of "JvOfficeColorPanel.pas" resolves the issue.
Tags No tags attached.
Attached Files jpg file icon TJvOfficeColorPanel_SelectedColor.jpg [^] (65,125 bytes) 2010-12-15 16:49
zip file icon JvOfficePanel Bug Demo Source.zip [^] (707,346 bytes) 2011-02-15 14:49

- Relationships

-  Notes
(0018347)
obones (administrator)
2011-02-15 13:47

Please provide the zipped sources of a sample application showing this.
(0018367)
dzomlija (reporter)
2011-02-15 14:50

Sources upload as requested. ZIP file contains sources, compiled exe and additional screenshots.
(0018373)
AHUser (developer)
2011-02-15 18:45

Fixed in svn revision 12980.

- Issue History
Date Modified Username Field Change
2010-12-15 16:49 dzomlija New Issue
2010-12-15 16:49 dzomlija File Added: TJvOfficeColorPanel_SelectedColor.jpg
2010-12-15 16:52 dzomlija Issue Monitored: dzomlija
2011-02-15 13:47 obones Note Added: 0018347
2011-02-15 13:47 obones Status new => feedback
2011-02-15 14:49 dzomlija File Added: JvOfficePanel Bug Demo Source.zip
2011-02-15 14:50 dzomlija Note Added: 0018367
2011-02-15 18:45 AHUser Note Added: 0018373
2011-02-15 18:45 AHUser Status feedback => resolved
2011-02-15 18:45 AHUser Fixed in Version => Daily / SVN
2011-02-15 18:45 AHUser Resolution open => fixed
2011-02-15 18:45 AHUser Assigned To => AHUser
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker